package http

import httpserver "git.gocasts.ir/ebhomengo/niki/pkg/httpserver"

type Server struct {
	HTTPServer httpserver.Server
	Handler    Handler
}

func NewServer(httpserver httpserver.Server, handler Handler) Server {
	return Server{
		HTTPServer: httpserver,
		Handler:    handler,
	}
}

func (s *Server) Serve() {

}

func (s *Server) Stop() {}

func (s *Server) RegisterRoutes() {}
